<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>
<CORE_PARTY PARTY_ID="-1"/>
  <CORE_USER LOGIN="StubUserContextService" CREATED_ON="2013-10-07" CREATED_BY="mp" PARTY_ID="-1"/>

	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-2" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-3" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-4" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-5" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-6" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-7" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-8" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-9" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-10" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-11" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-12" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1010" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1011" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1020" />
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-20"/>
	<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-21"/>

	<CAMPAIGN_LIBRARY CL_ID="-1" ATTACHMENT_LIST_ID="-20"/>

	<PROJECT PROJECT_ID="-1" ATTACHMENT_LIST_ID="-12" CREATED_ON="2012-02-02"	CREATED_BY="dbu" NAME="p1" CL_ID="-1" />

	<CAMPAIGN_LIBRARY_NODE ATTACHMENT_LIST_ID="-21" CREATED_ON="2013-10-07" CREATED_BY="mp" CLN_ID="-1" NAME="" PROJECT_ID="-1" />
	<CAMPAIGN ACTUAL_START_AUTO="false" ACTUAL_END_AUTO="false" CLN_ID="-1"/>

	<!-- ITERATION 1 -->
	<ITERATION NAME="iter - tc1" ITERATION_ID="-1"
		ACTUAL_END_AUTO="FALSE" ACTUAL_START_AUTO="FALSE" ACTUAL_START_DATE="2011-01-01"
		ACTUAL_END_DATE="2011-01-02" SCHEDULED_START_DATE="2011-01-01"
		SCHEDULED_END_DATE="2011-01-02" CREATED_BY="DBU" CREATED_ON="2010-02-01"
		ATTACHMENT_LIST_ID="-1"
                UUID="53a72cb4-b60d-437b-8be1-e65b93c79cb1" />

	<CAMPAIGN_ITERATION CAMPAIGN_ID="-1" ITERATION_ORDER="0" ITERATION_ID="-1"/>

	<!-- TEST SUITE -->
	<TEST_SUITE ID="-1" NAME="suite de test 1" DESCRIPTION="ma description 1"
		ATTACHMENT_LIST_ID="-2" CREATED_ON="2012-02-09" CREATED_BY="DBU" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa1"/>
	<ITERATION_TEST_SUITE ITERATION_ID="-1"
		TEST_SUITE_ID="-1" ITERATION_TEST_SUITE_ORDER="0"/>

	<!-- 1 TEST CASE WITH 3 TEST STEPS BUT WHICH EXECUTIONS DON'T HAVE ANY STEP -->
	<TEST_CASE_LIBRARY_NODE TCLN_ID="-1" NAME="test case 1"
		CREATED_BY="DBU" CREATED_ON="2010-02-01" ATTACHMENT_LIST_ID="-3"
		PROJECT_ID="-1" />
	<TEST_CASE TCLN_ID="-1" PREREQUISITE="test" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa1"/>
	<!-- 3 TEST CASE STEP -->
	<TEST_STEP TEST_STEP_ID="-1" />
	<ACTION_TEST_STEP TEST_STEP_ID="-1" ACTION="lipsum1"
		ATTACHMENT_LIST_ID="-5" />
	<TEST_STEP TEST_STEP_ID="-2" />
	<ACTION_TEST_STEP TEST_STEP_ID="-2" ACTION="lipsum2"
		ATTACHMENT_LIST_ID="-6" />
	<TEST_STEP TEST_STEP_ID="-3" />
	<ACTION_TEST_STEP TEST_STEP_ID="-3" ACTION="lipsum3"
		ATTACHMENT_LIST_ID="-7" />

	<TEST_CASE_STEPS TEST_CASE_ID="-1" STEP_ID="-1"
		STEP_ORDER="0" />
	<TEST_CASE_STEPS TEST_CASE_ID="-1" STEP_ID="-2"
		STEP_ORDER="1" />
	<TEST_CASE_STEPS TEST_CASE_ID="-1" STEP_ID="-3"
		STEP_ORDER="2" />

	<!-- another test case with 0 test steps -->
	<TEST_CASE_LIBRARY_NODE TCLN_ID="-2" NAME="test case 2"
		CREATED_BY="DBU" CREATED_ON="2010-02-01" ATTACHMENT_LIST_ID="-8"
		PROJECT_ID="-1" />
	<TEST_CASE TCLN_ID="-2" PREREQUISITE="test" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa9"/>
	<!-- 3 TEST CASE STEP -->
	<TEST_STEP TEST_STEP_ID="-4" />
	<ACTION_TEST_STEP TEST_STEP_ID="-4" ACTION="lipsum4"
		ATTACHMENT_LIST_ID="-9" />
	<TEST_STEP TEST_STEP_ID="-5" />
	<ACTION_TEST_STEP TEST_STEP_ID="-5" ACTION="lipsum5"
		ATTACHMENT_LIST_ID="-10" />
	<TEST_STEP TEST_STEP_ID="-6" />
	<ACTION_TEST_STEP TEST_STEP_ID="-6" ACTION="lipsum6"
		ATTACHMENT_LIST_ID="-11" />

	<TEST_CASE_STEPS TEST_CASE_ID="-2" STEP_ID="-4"
		STEP_ORDER="0" />
	<TEST_CASE_STEPS TEST_CASE_ID="-2" STEP_ID="-5"
		STEP_ORDER="1" />
	<TEST_CASE_STEPS TEST_CASE_ID="-2" STEP_ID="-6"
		STEP_ORDER="2" />



	<!-- TEST PLAN OF ITERATION -->
	<ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-1"
		EXECUTION_STATUS="READY" TCLN_ID="-1" CREATED_BY="DBU" CREATED_ON="2011-01-01"/>
	<TEST_SUITE_TEST_PLAN_ITEM TPI_ID="-1" SUITE_ID="-1" TEST_PLAN_ORDER="0"/>
	<ITEM_TEST_PLAN_LIST ITERATION_ID="-1"
		ITEM_TEST_PLAN_ID="-1" ITEM_TEST_PLAN_ORDER="0" />
	<ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-2"
		EXECUTION_STATUS="READY" TCLN_ID="-2" CREATED_BY="DBU" CREATED_ON="2011-01-01"/>
	<TEST_SUITE_TEST_PLAN_ITEM TPI_ID="-2" SUITE_ID="-1" TEST_PLAN_ORDER="1"/>
	<ITEM_TEST_PLAN_LIST ITERATION_ID="-1"
		ITEM_TEST_PLAN_ID="-2" ITEM_TEST_PLAN_ORDER="1" />
	<ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-3"
		EXECUTION_STATUS="READY" TCLN_ID="-2" CREATED_BY="DBU" CREATED_ON="2011-01-01" />
	<ITEM_TEST_PLAN_LIST ITERATION_ID="-1"
		ITEM_TEST_PLAN_ID="-3" ITEM_TEST_PLAN_ORDER="2" />

	<!-- EXECUTIONS OF SUITE 1 -->
	<ISSUE_LIST ISSUE_LIST_ID="-2020" />
	<EXECUTION PREREQUISITE="" EXECUTION_ID="-1" TCLN_ID="-1" CREATED_BY="DBU"
		CREATED_ON="2011-04-01" NAME="execution 1" ATTACHMENT_LIST_ID="-1010"
		ISSUE_LIST_ID="-2020" EXECUTION_STATUS="READY" />
	<ISSUE_LIST ISSUE_LIST_ID="-2021" />
	<EXECUTION PREREQUISITE="" EXECUTION_ID="-3" TCLN_ID="-1" CREATED_BY="DBU"
		CREATED_ON="2011-04-01" NAME="execution 2" ATTACHMENT_LIST_ID="-1011"
		ISSUE_LIST_ID="-2021" EXECUTION_STATUS="READY" />

	<!-- LINK BETWEEN TEST PLAN AND EXECUTIONS -->
	<ITEM_TEST_PLAN_EXECUTION ITEM_TEST_PLAN_ID="-1"
		EXECUTION_ID="-1" EXECUTION_ORDER="0" />
	<ITEM_TEST_PLAN_EXECUTION ITEM_TEST_PLAN_ID="-1"
		EXECUTION_ID="-3" EXECUTION_ORDER="1" />

<CORE_GROUP_MEMBER/>
</dataset>
